import React from 'react';
import {TextField, RaisedButton} from 'material-ui';
import {inject, observer} from 'mobx-react';
import './style.scss'
import {LINKS} from "../../routes";


@inject('appstate')
@observer
export default class LoginComponent extends React.Component {
  constructor(props) {
    super(props);
    this.props = props;
    this.state = {
      email: "",
      password: "",
    };
    this.defaultState = Object.assign({}, this.state);
  }

  componentDidMount() {

  }

  render() {

    return (
      <div className="loginWrapper">
        <div className={'formContainer'}>
          <img className={'logoLogin'} src={'http://btn-redemption-2.bangun-kreatif.com/dr6u0fppdi4xy.cloudfront.net/FilesDirectory/Albilad/ImgIconImage/logo-btn.png'} />
          <p className={'textLogin'}>Login into our System</p>

          <div className={'formParent'}>
            <div className={'inputContainer'}>
              <input
                className={'usernameForm'}
                placeholder="Username"
              />
              <input
                className={'passwordForm'}
                placeholder="Password"
                type="password"
              />
            </div>

            <button onClick={() => this.props.history.push(LINKS.DASHBOARD)} className={'buttonLogin'}>
              Sign In
            </button>
          </div>
        </div>
      </div>
    )
  }
}
